## org.apache.tools.ant.util
Class ConcatFileInputStream

    java.lang.Object
      java.io.InputStream
          org.apache.tools.ant.util.ConcatFileInputStream

All Implemented Interfaces:
  java.io.Closeable

    public class ConcatFileInputStream

extends java.io.InputStream

Special `InputStream` that will concatenate the contents of an array of files.

Constructor Summary
`ConcatFileInputStream(java.io.File[] file)` Construct a new `ConcatFileInputStream` with the specified `File[]`.

Method Summary
`void` `close()` Close the stream.
`void` `log(java.lang.String message, int loglevel)` Log a message with the specified logging level.
`int` `read()` Read a byte.
`void` `setManagingComponent(ProjectComponent pc)` Set a managing `Task` for this `ConcatFileInputStream`.
`void` `setManagingTask(Task task)` Set a managing `Task` for this `ConcatFileInputStream`.

Methods inherited from class java.io.InputStream
`available, mark, markSupported, read, read, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConcatFileInputStream

    public ConcatFileInputStream(java.io.File[] file)
                          throws java.io.IOException

  Construct a new `ConcatFileInputStream` with the specified `File[]`.

  Parameters:
    `file` - `File[]`.
  Throws:
    `java.io.IOException` - if I/O errors occur.

Method Detail

### close

    public void close()
               throws java.io.IOException

  Close the stream.

  Specified by:
    `close` in interface `java.io.Closeable`
  Overrides:
    `close` in class `java.io.InputStream`
  Throws:
    `java.io.IOException` - if there is an error.

### read

    public int read()
             throws java.io.IOException

  Read a byte.

  Specified by:
    `read` in class `java.io.InputStream`
  Returns:
    the byte (0 - 255) or -1 if this is the end of the stream.
  Throws:
    `java.io.IOException` - if there is an error.

### setManagingTask

    public void setManagingTask(Task task)

  Set a managing `Task` for this `ConcatFileInputStream`.

  Parameters:
    `task` - the managing `Task`.

### setManagingComponent

    public void setManagingComponent(ProjectComponent pc)

  Set a managing `Task` for this `ConcatFileInputStream`.

  Parameters:
    `pc` - the managing `Task`.

### log

    public void log(java.lang.String message,
                    int loglevel)

  Log a message with the specified logging level.

  Parameters:
    `message` - the `String` message.
    `loglevel` - the `int` logging level.